package imageFiles

//TODO: Add Ignore/Unignore

import _ "embed"

import "errors"

//go:embed icons/broadcast.svg
var Icon_Broadcast []byte

//go:embed icons/buildQuestionnaire.svg
var Icon_BuildQuestionnaire []byte

//go:embed icons/cardano.svg
var Icon_Cardano []byte

//go:embed icons/chat.svg
var Icon_Chat []byte

//go:embed icons/check.svg
var Icon_Check []byte

//go:embed icons/choice.svg
var Icon_Choice []byte

//go:embed icons/clipboard.svg
var Icon_Clipboard []byte

//go:embed icons/contacts.svg
var Icon_Contacts []byte

//go:embed icons/controversy.svg
var Icon_Controversy []byte

//go:embed icons/couple.svg
var Icon_Couple []byte

//go:embed icons/desires.svg
var Icon_Desires []byte

//go:embed icons/entry.svg
var Icon_Entry []byte

//go:embed icons/error.svg
var Icon_Error []byte

//go:embed icons/ethereum.svg
var Icon_Ethereum []byte

//go:embed icons/funds.svg
var Icon_Funds []byte

//go:embed icons/general.svg
var Icon_General []byte

//go:embed icons/genome.svg
var Icon_Genome []byte

//go:embed icons/greet.svg
var Icon_Greet []byte

//go:embed icons/home.svg
var Icon_Home []byte

//go:embed icons/host.svg
var Icon_Host []byte

//go:embed icons/info.svg
var Icon_Info []byte

//go:embed icons/inspectText.svg
var Icon_InspectText []byte

//go:embed icons/insufficient.svg
var Icon_Insufficient []byte

//go:embed icons/lifestyle.svg
var Icon_Lifestyle []byte

//go:embed icons/like.svg
var Icon_Like []byte

//go:embed icons/local.svg
var Icon_Local []byte

//go:embed icons/matchScore.svg
var Icon_MatchScore []byte

//go:embed icons/mate.svg
var Icon_Mate []byte

//go:embed icons/mental.svg
var Icon_Mental []byte

//go:embed icons/message.svg
var Icon_Message []byte

//go:embed icons/moderate.svg
var Icon_Moderate []byte

//go:embed icons/moon.svg
var Icon_Moon []byte

//go:embed icons/ocean.svg
var Icon_Ocean []byte

//go:embed icons/person.svg
var Icon_Person []byte

//go:embed icons/photo.svg
var Icon_Photo []byte

//go:embed icons/plus.svg
var Icon_Plus []byte

//go:embed icons/profile.svg
var Icon_Profile []byte

//go:embed icons/qr.svg
var Icon_QR []byte

//go:embed icons/questionnaire.svg
var Icon_Questionnaire []byte

//go:embed icons/reject.svg
var Icon_Reject []byte

//go:embed icons/score.svg
var Icon_Score []byte

//go:embed icons/settings.svg
var Icon_Settings []byte

//go:embed icons/stats.svg
var Icon_Stats []byte

//go:embed icons/sufficient.svg
var Icon_Sufficient []byte

//go:embed icons/sun.svg
var Icon_Sun []byte

//go:embed icons/sync.svg
var Icon_Sync []byte

//go:embed icons/toggleOff.svg
var Icon_ToggleOff []byte

//go:embed icons/toggleOn.svg
var Icon_ToggleOn []byte

//go:embed icons/unlike.svg
var Icon_Unlike []byte

//go:embed icons/users.svg
var Icon_Users []byte


func GetIconFileBytesFromName(iconName string)([]byte, error){

	switch iconName{

		case "Broadcast":{
			return Icon_Broadcast, nil
		}
		case "BuildQuestionnaire":{
			return Icon_BuildQuestionnaire, nil
		}
		case "Cardano":{
			return Icon_Cardano, nil
		}
		case "Chat":{
			return Icon_Chat, nil
		}
		case "Check":{
			return Icon_Check, nil
		}
		case "Choice":{
			return Icon_Choice, nil
		}
		case "Clipboard":{
			return Icon_Clipboard, nil
		}
		case "Contacts":{
			return Icon_Contacts, nil
		}
		case "Controversy":{
			return Icon_Controversy, nil
		}
		case "Couple":{
			return Icon_Couple, nil
		}
		case "Desires":{
			return Icon_Desires, nil
		}
		case "Entry":{
			return Icon_Entry, nil
		}
		case "Error":{
			return Icon_Error, nil
		}
		case "Ethereum":{
			return Icon_Ethereum, nil
		}
		case "Funds":{
			return Icon_Funds, nil
		}
		case "General":{
			return Icon_General, nil
		}
		case "Genome":{
			return Icon_Genome, nil
		}
		case "Greet":{
			return Icon_Greet, nil
		}
		case "Home":{
			return Icon_Home, nil
		}
		case "Host":{
			return Icon_Host, nil
		}
		case "Info":{
			return Icon_Info, nil
		}
		case "InspectText":{
			return Icon_InspectText, nil
		}
		case "Insufficient":{
			return Icon_Insufficient, nil
		}
		case "Lifestyle":{
			return Icon_Lifestyle, nil
		}
		case "Like":{
			return Icon_Like, nil
		}
		case "Local":{
			return Icon_Local, nil
		}
		case "MatchScore":{
			return Icon_MatchScore, nil
		}
		case "Mate":{
			return Icon_Mate, nil
		}
		case "Mental":{
			return Icon_Mental, nil
		}
		case "Message":{
			return Icon_Message, nil
		}
		case "Moderate":{
			return Icon_Moderate, nil
		}
		case "Moon":{
			return Icon_Moon, nil
		}
		case "Ocean":{
			return Icon_Ocean, nil
		}
		case "Person":{
			return Icon_Person, nil
		}
		case "Photo":{
			return Icon_Photo, nil
		}
		case "Plus":{
			return Icon_Plus, nil
		}
		case "Profile":{
			return Icon_Profile, nil
		}
		case "QR":{
			return Icon_QR, nil
		}
		case "Questionnaire":{
			return Icon_Questionnaire, nil
		}
		case "Reject":{
			return Icon_Reject, nil
		}
		case "Score":{
			return Icon_Score, nil
		}
		case "Settings":{
			return Icon_Settings, nil
		}
		case "Stats":{
			return Icon_Stats, nil
		}
		case "Sufficient":{
			return Icon_Sufficient, nil
		}
		case "Sun":{
			return Icon_Sun, nil
		}
		case "Sync":{
			return Icon_Sync, nil
		}
		case "ToggleOff":{
			return Icon_ToggleOff, nil
		}
		case "ToggleOn":{
			return Icon_ToggleOn, nil
		}
		case "Unlike":{
			return Icon_Unlike, nil
		}
		case "Users":{
			return Icon_Users, nil
		}
	}

	return nil, errors.New("GetIconFileBytesFromName called with unknown icon: " + iconName)
}

